"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireWildcard(require("react"));
var _card = require("./ui/card.js");
var _recharts = require("recharts");
var _AppUtility = require("../App.utility.js");
var _FallbackPage = _interopRequireDefault(require("./FallbackPage.js"));
var _jsxRuntime = require("react/jsx-runtime");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const CustomTooltip = ({
  active,
  payload,
  label
}) => {
  if (active && payload && payload.length) {
    const data = payload[0].payload;
    return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: "bg-white p-4 border border-gray-200 rounded shadow",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("p", {
        className: "font-bold",
        children: ["Iteration ", label]
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("p", {
        children: ["Start Marker: ", data.startMarker]
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("p", {
        children: ["End Marker: ", data.endMarker]
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("p", {
        children: ["Duration: ", data.duration.toFixed(2), " ms"]
      })]
    });
  }
  return null;
};
const PerformanceVisualization = ({
  startMarker,
  endMarker,
  data: rawData
}) => {
  const [selectedPoint, setSelectedPoint] = (0, _react.useState)(null);
  const data = (0, _AppUtility.calculateDifferences)(rawData, startMarker, endMarker);
  const {
    mean,
    standardDeviation,
    errorRate
  } = (0, _react.useMemo)(() => (0, _AppUtility.calculateStats)(data), [data]);
  const handleClick = point => {
    if (point && point.activePayload && point.activePayload.length > 0) {
      const index = data.findIndex(item => item.iteration === point.activePayload[0].payload.iteration);
      setSelectedPoint(index);
    }
  };
  if (data.length === 0) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_FallbackPage.default, {
      startMarker: startMarker,
      endMarker: endMarker
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    className: "w-full max-w-4xl space-y-8",
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
      className: "grid grid-cols-1 md:grid-cols-3 gap-4",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)(_card.Card, {
        className: "bg-blue-50",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardHeader, {
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardTitle, {
            className: "text-lg font-semibold text-blue-700",
            children: "Mean"
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardContent, {
          children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("p", {
            className: "text-2xl font-bold text-blue-900",
            children: [mean.toFixed(2), " ms"]
          })
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_card.Card, {
        className: "bg-green-50",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardHeader, {
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardTitle, {
            className: "text-lg font-semibold text-green-700",
            children: "Standard Deviation"
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardContent, {
          children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("p", {
            className: "text-2xl font-bold text-green-900",
            children: [standardDeviation, " ms"]
          })
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_card.Card, {
        className: "bg-red-50",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardHeader, {
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardTitle, {
            className: "text-lg font-semibold text-red-700",
            children: "Error Rate"
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardContent, {
          children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("p", {
            className: "text-2xl font-bold text-red-900",
            children: [errorRate, "%"]
          })
        })]
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_card.Card, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardHeader, {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardTitle, {
          className: "text-2xl font-bold",
          children: "Performance Graph"
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardContent, {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
          className: "h-[300px]",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.ResponsiveContainer, {
            width: "100%",
            height: "100%",
            children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_recharts.LineChart, {
              data: data,
              margin: {
                top: 5,
                right: 30,
                left: 20,
                bottom: 5
              },
              onClick: handleClick,
              children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.CartesianGrid, {
                strokeDasharray: "3 3"
              }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.XAxis, {
                dataKey: "iteration"
              }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.YAxis, {}), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.Tooltip, {
                content: /*#__PURE__*/(0, _jsxRuntime.jsx)(CustomTooltip, {})
              }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.Legend, {}), /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.Line, {
                type: "monotone",
                dataKey: "duration",
                stroke: "#8884d8",
                name: "Iteration"
              }), selectedPoint !== null && data[selectedPoint] && /*#__PURE__*/(0, _jsxRuntime.jsx)(_recharts.ReferenceDot, {
                x: data[selectedPoint]?.iteration,
                y: data[selectedPoint]?.duration,
                r: 5,
                fill: "#8884d8",
                stroke: "none"
              })]
            })
          })
        })
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)(_card.Card, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardHeader, {
        children: /*#__PURE__*/(0, _jsxRuntime.jsxs)(_card.CardTitle, {
          className: "text-2xl font-bold",
          children: ["Results for ", startMarker, " & ", endMarker]
        })
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_card.CardContent, {
        children: /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
          className: "overflow-x-auto",
          children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("table", {
            className: "w-full border-collapse",
            children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("thead", {
              children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("tr", {
                className: "bg-gray-100",
                children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("th", {
                  className: "border-b border-gray-300 px-4 py-2 text-left font-semibold text-gray-700",
                  children: "Iteration"
                }), /*#__PURE__*/(0, _jsxRuntime.jsx)("th", {
                  className: "border-b border-gray-300 px-4 py-2 text-left font-semibold text-gray-700",
                  children: "Start Marker"
                }), /*#__PURE__*/(0, _jsxRuntime.jsx)("th", {
                  className: "border-b border-gray-300 px-4 py-2 text-left font-semibold text-gray-700",
                  children: "End Marker"
                }), /*#__PURE__*/(0, _jsxRuntime.jsx)("th", {
                  className: "border-b border-gray-300 px-4 py-2 text-left font-semibold text-gray-700",
                  children: "Duration (ms)"
                })]
              })
            }), /*#__PURE__*/(0, _jsxRuntime.jsx)("tbody", {
              children: data.map(item => /*#__PURE__*/(0, _jsxRuntime.jsxs)("tr", {
                className: "hover:bg-gray-50",
                children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("td", {
                  className: "border-b border-gray-300 px-4 py-2",
                  children: item.iteration
                }), /*#__PURE__*/(0, _jsxRuntime.jsx)("td", {
                  className: "border-b border-gray-300 px-4 py-2",
                  children: item.startMarker
                }), /*#__PURE__*/(0, _jsxRuntime.jsx)("td", {
                  className: "border-b border-gray-300 px-4 py-2",
                  children: item.endMarker
                }), /*#__PURE__*/(0, _jsxRuntime.jsx)("td", {
                  className: "border-b border-gray-300 px-4 py-2",
                  children: item.duration.toFixed(2)
                })]
              }, item.iteration))
            })]
          })
        })
      })]
    })]
  });
};
var _default = exports.default = PerformanceVisualization;
//# sourceMappingURL=PerformanceVisualization.js.map