"use strict";

import React from 'react';
import { Card, CardContent, CardHeader, CardTitle } from "./ui/card.js";
import { BarChartIcon as ChartBar, Clock, Zap } from 'lucide-react';
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
export const EmptyPage = () => {
  return /*#__PURE__*/_jsxs("main", {
    className: "container mx-auto px-4 py-12 mt-6",
    children: [/*#__PURE__*/_jsxs("h1", {
      className: "text-5xl font-extrabold mb-12 text-center text-gray-800 tracking-tight",
      children: ["React Native ", /*#__PURE__*/_jsx("span", {
        className: "text-blue-600",
        children: "Performance Tracker"
      })]
    }), /*#__PURE__*/_jsxs(Card, {
      className: "bg-white rounded-lg shadow-lg transition-all duration-300 hover:shadow-xl max-w-3xl mx-auto",
      children: [/*#__PURE__*/_jsx(CardHeader, {
        className: "bg-gradient-to-r from-blue-500 to-blue-600 text-white rounded-t-lg",
        children: /*#__PURE__*/_jsxs(CardTitle, {
          className: "text-2xl font-semibold flex items-center",
          children: [/*#__PURE__*/_jsx(ChartBar, {
            className: "mr-2"
          }), "Performance Overview"]
        })
      }), /*#__PURE__*/_jsxs(CardContent, {
        className: "p-6",
        children: [/*#__PURE__*/_jsx("p", {
          className: "text-gray-600 leading-relaxed mb-6",
          children: "Gain insights into your React Native app's performance. Select two markers on the timeline above to visualize detailed performance data between those points."
        }), /*#__PURE__*/_jsxs("ul", {
          className: "space-y-4",
          children: [/*#__PURE__*/_jsxs("li", {
            className: "flex items-center text-gray-700",
            children: [/*#__PURE__*/_jsx(Clock, {
              className: "mr-3 text-blue-500 flex-shrink-0",
              size: 24
            }), /*#__PURE__*/_jsx("span", {
              children: "Measure load times and interactions with precision, allowing you to identify areas for optimization"
            })]
          }), /*#__PURE__*/_jsxs("li", {
            className: "flex items-center text-gray-700",
            children: [/*#__PURE__*/_jsx(Zap, {
              className: "mr-3 text-blue-500 flex-shrink-0",
              size: 24
            }), /*#__PURE__*/_jsx("span", {
              children: "Identify performance bottlenecks and track improvements over time as you optimize your app"
            })]
          })]
        })]
      })]
    })]
  });
};
//# sourceMappingURL=EmptyPage.js.map