"use strict";

import React from 'react';
import { Link } from 'react-router-dom';
import { Card, CardContent, CardHeader, CardTitle } from "./ui/card.js";
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const FallbackPage = ({
  startMarker,
  endMarker
}) => {
  return /*#__PURE__*/_jsx("div", {
    className: "flex flex-col items-center justify-center min-h-screen bg-gray-100 p-4",
    children: /*#__PURE__*/_jsxs(Card, {
      className: "w-full max-w-md",
      children: [/*#__PURE__*/_jsx(CardHeader, {
        children: /*#__PURE__*/_jsx(CardTitle, {
          className: "text-2xl font-bold text-center text-red-600",
          children: "Visualization Not Possible"
        })
      }), /*#__PURE__*/_jsxs(CardContent, {
        children: [/*#__PURE__*/_jsx("p", {
          className: "text-center mb-4",
          children: "Unable to calculate data for the selected markers:"
        }), /*#__PURE__*/_jsxs("ul", {
          className: "list-disc list-inside mb-4",
          children: [/*#__PURE__*/_jsxs("li", {
            children: ["Start Marker: ", startMarker]
          }), /*#__PURE__*/_jsxs("li", {
            children: ["End Marker: ", endMarker]
          })]
        }), /*#__PURE__*/_jsx("p", {
          className: "text-center mb-4",
          children: "This combination of markers may not have any associated data or may be in an invalid order."
        }), /*#__PURE__*/_jsx("div", {
          className: "flex justify-center",
          children: /*#__PURE__*/_jsx(Link, {
            to: "/",
            className: "bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded transition duration-200 ease-in-out transform hover:-translate-y-1 hover:scale-105",
            children: "Back to Form"
          })
        })]
      })]
    })
  });
};
export default FallbackPage;
//# sourceMappingURL=FallbackPage.js.map