"use strict";

import React, { useEffect, useState } from 'react';
import { EmptyPage } from "./EmptyPage.js";
import VisualizePage from "./VisualizePage.js";
import TimeLineSelector from "./TimelineSelector.js";
import { Fragment as _Fragment, jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
const Home = () => {
  const [selectedTags, setSelectedTags] = useState([]);
  const [data, setData] = useState([]);
  useEffect(() => {
    const fetchData = async () => {
      try {
        const baseURL = window.location.origin;
        const res = await fetch(`${baseURL}/api/log`);
        const data = await res.json();
        // const data = require('../../../generated-perf-reports/log.json');
        setData(data);
      } catch (_) {
        setData([]);
      }
    };
    fetchData();
  }, []);
  useEffect(() => {
    console.log(selectedTags);
  }, [selectedTags]);
  if (data.length === 0) {
    return /*#__PURE__*/_jsx(_Fragment, {});
  }
  return /*#__PURE__*/_jsxs("div", {
    className: "min-h-screen bg-gradient-to-b from-gray-100 to-gray-200",
    children: [/*#__PURE__*/_jsx(TimeLineSelector, {
      data: data,
      selectedTags: selectedTags,
      setSelectedTags: setSelectedTags
    }), selectedTags.length === 2 ? /*#__PURE__*/_jsx(VisualizePage, {
      data: data ?? [],
      startMarker: selectedTags[0] ?? '',
      endMarker: selectedTags[1] ?? ''
    }) : /*#__PURE__*/_jsx(EmptyPage, {}), /*#__PURE__*/_jsxs("div", {
      className: "fixed bottom-4 right-4 text-sm text-gray-600",
      children: ["Powered by", ' ', /*#__PURE__*/_jsx("a", {
        href: "https://github.com/dream-sports-labs",
        target: "_blank",
        rel: "noopener noreferrer",
        className: "text-blue-600 hover:underline",
        children: "DreamSportsLabs"
      })]
    })]
  });
};
export default Home;
//# sourceMappingURL=Home.js.map