import React from 'react';
import { type ViewProps } from 'react-native';
import type { NativeProps } from './PerformanceTrackerViewNativeComponent';
import type { Config, ResetOptions } from './NativePerformanceTracker';
type PerformanceTrackerViewProps = ViewProps & Omit<NativeProps, 'meta'> & {
    meta?: {
        [key: string]: string;
    };
};
type PerformanceTrackerViewStaticMethods = {
    track: (tag: string, time: number, meta?: {
        [key: string]: string;
    }) => void;
    getLogs(): Promise<Record<string, any>>;
    resetLogs(options?: ResetOptions): void;
    configure(config?: Config): void;
};
export declare const PerformanceTracker: React.ComponentType<PerformanceTrackerViewProps> & PerformanceTrackerViewStaticMethods;
export {};
//# sourceMappingURL=index.d.ts.map